Page MenuHomePhabricator

Turkish Wiktionary logo
Closed, ResolvedPublic

Description

We have decided to change the logos of the Turkish Wiktionary as a community.
Old logo: https://commons.wikimedia.org/wiki/File:Wiktionary-logo-tr-new.svg
New logo: https://commons.wikimedia.org/wiki/File:TmY_e12_Vikisözlük_136x165px.png
Turkish Wiktionary sysop Turgut46, added the code in appendix-1 to the MediaWiki:Common.css page. The new logo appears on all pages. But the Special: Preferences page still shows the old logo. Can someone help? Thanks.
This article was translated from Turkish using Google Translate. I apologize if there is a narration failure.

Appendix-1:
https://tr.wiktionary.org/w/index.php?title=Kullanıcı:TmY_e12/vector.css&oldid=2357939

TmY e12

Event Timeline

TmY_e12 created this task.Sep 15 2017, 4:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2017, 4:03 PM
Framawiki triaged this task as Medium priority.Sep 15 2017, 4:25 PM
Framawiki added a subscriber: Framawiki.

Please note that using MediaWiki:Common.css to replace an existing configuration (the official logo, the one that was originally set) to replace it by another one is an hacky process that should only be used as a temporary solution.
We, Wikimedia-Site-requests volunteers, will replace the configuration of the wiki to change the logo. The new file will be displayed everywhere, including preferences, without using MediaWiki: pages.
So, it's not important, but next time, please open a ticket here on phabricator first :)

@TmY_e12 Per https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes, can you copy/paste here a link to discussion with the community that led to the change ?

Thanks @TmY_e12. The old logo is a SVG file, unlike the new one. Can you upload one to Commons and copy/paste the link ?

You want the SVG of the new logo. is not it? I do not understand. Sorry

How long does this take? @Framawiki

Change 380563 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Change Turkish Wiktionary logo

https://gerrit.wikimedia.org/r/380563

Zoranzoki21 added a subscriber: Zoranzoki21.

I think to this is ok.. If is not, tell me to change.

What did you do? I did not understand.

What did you do? I did not understand.

Started with changing of logo.

okey thanks

Your welcome. Now this patch only need to be reviewed.

Change 380563 abandoned by Zoranzoki21:
Change Turkish Wiktionary logo

Reason:
I can not to work it.. I reassign it to Jayprakash12345

https://gerrit.wikimedia.org/r/380563

Please you work it if you can.. I can not.. I uploading patch using upload on gerrit.wikimedia.org (no gerrit patch uploader).. I can not to configure on pc.. I always got error.

Please you work it if you can.. I can not.. I uploading patch using upload on gerrit.wikimedia.org (no gerrit patch uploader).. I can not to configure on pc.. I always got error.

Ok

Please you work it if you can.. I can not.. I uploading patch using upload on gerrit.wikimedia.org (no gerrit patch uploader).. I can not to configure on pc.. I always got error.

Ok

Thank you very much!

@Jayprakash12345 When you upload a patch, move back in To deploy.

@TmY_e12 Can you give me SVG version File of Logo? So I can Upload HD logo as well.

Change 381650 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[operations/mediawiki-config@master] Change the Turkish Wiktionary logo

https://gerrit.wikimedia.org/r/381650

This comment was removed by Jayprakash12345.
C:\Users\jay\optipng>optipng.exe -o7 trwiktionary*
** Processing: trwiktionary-1.5x.png
204x234 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 32626 bytes
Input file size = 32793 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 24735

Selecting parameters:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 24735

Output IDAT size = 24735 bytes (7891 bytes decrease)
Output file size = 24866 bytes (7927 bytes = 24.17% decrease)

** Processing: trwiktionary-2x.png
270x310 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 48617 bytes
Input file size = 48808 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 36712
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 36468

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 36468

Output IDAT size = 36468 bytes (12149 bytes decrease)
Output file size = 36599 bytes (12209 bytes = 25.01% decrease)

** Processing: trwiktionary.png
135x155 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 18360 bytes
Input file size = 18515 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 14151
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 14151

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 14151

Output IDAT size = 14151 bytes (4209 bytes decrease)
Output file size = 14282 bytes (4233 bytes = 22.86% decrease)


C:\Users\jay\optipng>

Schedule for October 02, 18:00–19:00 UTC

Change 381650 merged by jenkins-bot:
[operations/mediawiki-config@master] Change the Turkish Wiktionary logo

https://gerrit.wikimedia.org/r/381650

Zoranzoki21 closed this task as Resolved.Oct 2 2017, 6:12 PM
Jayprakash12345 reopened this task as Open.Oct 2 2017, 6:30 PM

Mentioned in SAL (#wikimedia-operations) [2017-10-02T18:46:54Z] <niharika29@tin> Synchronized static/images/project-logos/: Change the Turkish Wiktionary logo (T176008) (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2017-10-02T18:48:03Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Change the Turkish Wiktionary logo (T176008) (duration: 00m 46s)

Jayprakash12345 closed this task as Resolved.Oct 2 2017, 7:26 PM

@TmY_e12 Told Turkish Wiktionary Sysop for remove Logo Config from MediaWiki:Common.css

@Zoranzoki21 Thanks you closing the task. But at that time I Discussed it with Niharika (SWAT member) on Wikimedia operations. So I opened this task. Sorry

@TmY_e12 Told Turkish Wiktionary Sysop for remove Logo Config from MediaWiki:Common.css

@Zoranzoki21 Thanks you closing the task. But at that time I Discussed it with Niharika (SWAT member) on Wikimedia operations. So I opened this task. Sorry

Ok.. No problem

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptFeb 6 2018, 2:54 PM